use strictures 1;
use Test::More;
use App::SCS;
use IO::All;

my $app = App::SCS->new(
  config => { root_dir => 't/data' }
);

my $simple1 = $app->pages->get({ path => 'simple/1' });

ok($simple1, 'Got a page object');

is(
  $simple1->html,
  io->file('t/data/share/pages/simple/1.html')->all,
  "Correct file loaded"
);

my @page_plugins = @{$simple1->_page_plugins};

is(scalar(@page_plugins), 2, 'Two plugins applied');

my ($tp, $pdp) = @page_plugins;

ok(
  $tp->isa('App::SCS::Plugin::Core::PagePlugin::Template'),
  'Template plugin'
);

is($tp->name, 'layout', 'Template name');

ok(
  $pdp->isa('App::SCS::Plugin::Core::PagePlugin::PageData'),
  'PageData plugin'
);

like(
  $simple1->_html_zoom->to_html,
  qr{<div id="content">.*<h1>Hello world}s,
  'Layout woven correctly'
);

like(
  $simple1->_content_zoom->to_html,
  qr{<title[^>]*>Simple 1<}s,
  'Page data interpolated'
);

done_testing;
